import type { ArrayMonotonicOptions } from './array-monotonic.options';
/**
 * @category Predicates
 * @param value The value to validate.
 * @param options Additional options (see {@link ArrayMonotonic}).
 * @typeParam T The type of the array elements.
 */
export declare function arrayMonotonic<T = unknown>(value: unknown, options: ArrayMonotonicOptions<T>): value is Array<T>;
