/**
 * @category Predicates
 * @param value The value to validate.
 * @param required List of mandatory values for this map.
 * @typeParam Value The type of values to check for.
 */
export declare function mapContains<Value = unknown>(value: unknown, required: Iterable<Value>): value is Map<unknown, unknown>;
