/**
 * @category Predicates
 * @param value The value to validate.
 * @param forbidden List of forbidden values for this map.
 * @typeParam Value The type of values to check for.
 */
export declare function mapNotContains<Value = unknown>(value: unknown, forbidden: Iterable<Value>): value is Map<unknown, unknown>;
