"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setContains = void 0;
const is_set_1 = require("../../set/is-set");
/**
 * @category Predicates
 * @param value The value to validate.
 * @param required List of mandatory values for this set.
 * @typeParam Value The type of values to check for.
 */
function setContains(value, required) {
    return (0, is_set_1.isSet)(value) && [...required].every(item => value.has(item));
}
exports.setContains = setContains;
