"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setNotEmpty = void 0;
const is_set_1 = require("../../set/is-set");
/**
 * @category Predicates
 * @param value The value to validate.
 */
function setNotEmpty(value) {
    return (0, is_set_1.isSet)(value) && value.size > 0;
}
exports.setNotEmpty = setNotEmpty;
