"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.negativeBigInt = void 0;
const is_bigint_1 = require("../../bigint/is-bigint");
/**
 * @category Predicates
 * @param value The value to validate.
 */
function negativeBigInt(value) {
    return (0, is_bigint_1.isBigInt)(value) && value < BigInt(0);
}
exports.negativeBigInt = negativeBigInt;
