import type { ConfigType, Dayjs, OpUnitType } from 'dayjs';
/**
 * @category Predicates
 * @param value The value to validate.
 * @param maximum The maximum allowed value.
 * @param options Additional options (see {@link MaxDayjs}).
 */
export declare function maxDayjs(value: unknown, maximum: ConfigType, options?: {
    allow_invalid?: boolean;
    inclusive?: boolean;
    granularity?: OpUnitType;
}): value is Dayjs;
