import type { Duration, DurationUnitsObjectType, DurationUnitType } from 'dayjs/plugin/duration';
/**
 * @category Predicates
 * @param value The value to validate.
 * @param maximum The maximum allowed duration.
 * @param options Additional options (see {@link MaxDuration}).
 */
export declare function maxDuration(value: unknown, maximum: Duration | string | DurationUnitsObjectType | [time: number, unit?: DurationUnitType], options?: {
    inclusive?: boolean;
}): value is Duration;
