import type { ConfigType, Dayjs, OpUnitType } from 'dayjs';
/**
 * @category Predicates
 * @param value The value to validate.
 * @param minimum The minimum allowed value.
 * @param options Additional options (see {@link MinDays}).
 */
export declare function minDayjs(value: unknown, minimum: ConfigType, options?: {
    allow_invalid?: boolean;
    inclusive?: boolean;
    granularity?: OpUnitType;
}): value is Dayjs;
