import type { Duration, DurationUnitsObjectType, DurationUnitType } from 'dayjs/plugin/duration';
/**
 * @category Predicates
 * @param value The value to validate.
 * @param minimum The minimum allowed duration.
 * @param options Additional options (see {@link MinDuration}).
 */
export declare function minDuration(value: unknown, minimum: Duration | string | DurationUnitsObjectType | [time: number, unit?: DurationUnitType], options?: {
    inclusive?: boolean;
}): value is Duration;
