import type { Dayjs, OpUnitType } from 'dayjs';
/**
 * @category Predicates
 * @param value The value to validate.
 * @param options Additional options (see {@link PastDayjs}).
 */
export declare function pastDayjs(value: unknown, options?: {
    allow_invalid?: boolean;
    inclusive?: boolean;
    granularity?: OpUnitType;
}): value is Dayjs;
